Subject: guix gc --vacuum-database

From: Nicolas Graves <[email-masked]>
Date: Sun, 22 Sep 2024 09:29:47 +0200

Hi Guix,

I don't know if this is the cause of something broken on my side or an
issue with upstream guix. When I run "guix gc --vacuum-database" without
being root, I get such an error :

>> guix gc --vacuum-database
Backtrace:
          12 (primitive-load "/home/graves/.config/guix/current/bin/…")
In guix/ui.scm:
   2330:7 11 (run-guix . _)
  2293:10 10 (run-guix-command _ . _)
In ice-9/boot-9.scm:
  1752:10  9 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/gc.scm:
    241:5  8 (_)
In ice-9/boot-9.scm:
  1747:15  7 (with-exception-handler #<procedure 7f978c9974e0 at ic…> …)
In srfi/srfi-37.scm:
   201:16  6 (next-arg)
   113:18  5 (invoke-option-processor _ _ _ _ _)
In unknown file:
           4 (_ #<procedure 7f978c997480 at srfi/srfi-37.scm:114:22…> …)
In guix/scripts/gc.scm:
   143:18  3 (_ . _)
In guix/store/database.scm:
    393:4  2 (vacuum-database)
In sqlite3.scm:
    166:2  1 (_ _ _)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Throw to key `sqlite-error' with args `(sqlite-exec 8 "attempt to write a readonly database")'.
zsh: exit 1     guix gc --vacuum-database

Other commands have a nice way to indicate that sudo is necessary for
this command, if this is the case. If that is not reproducible, the
issue is probably on my side, and I have no clue about how I can fix
this.

-- 
Best regards,
Nicolas Graves